Upstream does not use "make" so we provide a Makefile.

--- /dev/null
+++ b/src/Makefile
@@ -0,0 +1,190 @@
+# Makefile created by Andrew Gray <ajpg@debian.org> for tex4ht, 11/3/1999
+# modified for 1999-05-06 version of tex4ht, 23/5/1999
+# modified for 2000-07-03 version of tex4ht, 15/7/2000
+# modified for 2001-03-09 version of tex4ht, 13/3/2001 (safer for non-Debian
+#  users - the scripts 'httex' etc won't be deleted on a 'make clean'!)
+# modified for debian sub-version 20010309-2 (remove ht.1 manpage symlink),
+#  19/6/2001
+# modified for debian sub-version 20010309-3 (rename ht to tex4ht-ht in
+#  install target, and add tex4ht-ht.1 manpage link), 20/7/2001
+# modified for 2001-12-14 version of tex4ht, 16/12/2001 (*.4ht files now
+#  unpacked into a sub-directory all4ht/, *.txt in doc/share included, shell
+#  scripts generated in scripts/ and installed into /usr/share/tex4ht)
+# modified to allow building without having tex4ht already installed, 7/3/2002
+# modified to slightly simplify generation of the scripts in
+#  /usr/share/tex4ht, for debian version 20021008-1, 6/11/2002
+# modified for v.20030426-1 (changed directory layout in upstream sources),
+#  3/5/2003
+# modified for v.20050212-1 Additional script mk4ht is a perl script.
+#  19/2/2005
+# modified for debian sub-version 20050402.1817-2 (do not rename ht to
+#  tex4ht-ht in install target, and add tex4ht-ht.1 manpage link).
+# removed the doc directories and edited man page accordingly.
+# added installation of xv4ht.cat which can be used with xv4ht.java
+#  17/11/2005
+# added support for installation of xtpipes.jar
+#  - defined JAVAC JAR for compliation
+#  - added xtpipes.jar to target
+#  - defined XTPIPES_SRC (currently compiled all at once)
+#  - defined XTTLFILES, XTTLDIR, XTPFILES
+#  - added install rules for XTTLFILES XTPFILES and xtpipes.jar
+#  22/08/2005
+# modified the sed patterns for tex4ht.env to replace use of
+# SELFAUTOPARENT and use TEXMFDIR instead.
+#  14/09/2007
+# modifed (for v.20070904) the XTPFILES variable. Defined XTPDIR variable and
+# modified install rules to install XTPFILES in XTPDIR. Renamed
+# xtpipes.jar to tex4ht.jar
+#  14/09/2007
+# modified to create new targets "indep" "arch" "install-arch" and
+# "install-indep" to split the arch-dependent and independent builds.
+#  12/12/2007
+# removed reference to xttl stuff which is no longer in the upstream
+# archive.
+#  12/12/2007
+# location of unix ht scripts has changed to ../bin/ht/unix
+#  26/02/2009
+
+# (designed for Debian GNU/Linux, but should be moreorless usable on other
+# Linuxes/Unixes)
+
+############################################################
+# You may want to comment out this variable if not compiling for Debian:
+PACKAGEDFOR=debian
+
+# Comment this out if not using the kpathsea file search library:
+SEARCHLIBRARY=kpathsea
+
+############################################################
+# Directories for installation
+
+# DESTDIR used for Debian packaging;  USRDIR typically /usr or /usr/local:
+DESTDIR=
+USRDIR=/usr
+
+BINDIR=$(DESTDIR)$(USRDIR)/bin
+
+ifeq ($(PACKAGEDFOR),debian)
+  MANDIR=$(DESTDIR)$(USRDIR)/share/man/man1
+  TEXMFDIR=$(DESTDIR)$(USRDIR)/share/texmf
+  TEX4HTDIR=$(DESTDIR)/etc/tex4ht
+  TEXMFCNF=$(DESTDIR)/etc/texmf/texmf.cnf
+else
+  MANDIR=$(DESTDIR)$(USRDIR)/man/man1
+  TEXMFDIR=$(DESTDIR)$(USRDIR)/lib/texmf
+  TEX4HTDIR=$(TEXMFDIR)/tex4ht
+  TEXMFCNF=$(TEXMFDIR)/web2c/texmf.cnf
+endif
+
+TEXDIR=$(TEXMFDIR)/tex/generic/tex4ht
+HTFDIR=$(TEXMFDIR)/tex4ht/ht-fonts
+XTPDIR=$(TEXMFDIR)/tex4ht/xtpipes
+SCRIPTSDIR=$(DESTDIR)$(USRDIR)/share/tex4ht
+
+############################################################
+# These definitions try to group the files from the tex4ht sources.  They may
+# need some adjustment, depending how you have unpacked the 'zip' files.
+TEXFILES=../texmf/tex/generic/tex4ht/*
+TEX4HTFILE=../texmf/tex4ht/base/unix/tex4ht.env
+HTFFILES=../texmf/tex4ht/ht-fonts/*
+XTPFILES=../texmf/tex4ht/xtpipes/*
+TESTFILES=testa.tex testb.tex
+SCRIPTS=../bin/ht/unix/* ../bin/unix/mk4ht
+
+############################################################
+# Compiler/program options:
+SED=sed
+CC=gcc
+CFLAGS:=$(CFLAGS) -O2 -g -Wall -DANSI -DHAVE_UNISTD_H -DHAVE_STRING_H -DHAVE_SYS_DIR_H -DHAVE_DIR_H -DHAVE_DIRENT_H -DLGTYP='".png"'
+ifeq ($(SEARCHLIBRARY),kpathsea)
+  CFLAGS:=$(CFLAGS) -I/usr/include/kpathsea -lkpathsea -DKPATHSEA
+else
+  CFLAGS:=$(CFLAGS) -DENVFILE='"$(TEX4HTDIR)/tex4ht.env"' -DHTFDIR='"$(HTFDIR)"'
+endif
+JAVAC=ecj
+JAR=fastjar
+
+############################################################
+
+define edit-script
+
+if ( head -1 "$(SCRIPT)" | grep -q '^\#!.*perl' ); then \
+ cp -p $(SCRIPT) ../scripts/$(notdir $(SCRIPT)); \
+else \
+$(SED) -e "1r $<" -e "1d" \
+ -e "s;-i[^ ]*/;-i$(HTFDIR)/;" \
+ -e "s;\(#1,x\{0,1\}html\)\([,\]}]\);\1,png\2;" \
+ $(SCRIPT) > ../scripts/$(notdir $(SCRIPT)) ; \
+fi
+
+endef
+
+PROGS=tex4ht t4ht
+MAINSCRIPTS=httex htlatex httexi mk4ht
+MANS=tex4ht.1 t4ht.1 ht.1 httex.1 htlatex.1 httexi.1 mk4ht.1
+XTPIPES_SRC=java/*.java java/xtpipes/*.java java/xtpipes/util/*.java
+
+.PHONY : all arch indep install install-arch install-indep clean
+
+all : arch indep
+
+arch : $(PROGS) $(MANS) tex4ht.env ht-scripts
+
+indep : tex4ht.jar
+
+tex4ht : tex4ht.c
+	$(CC) -o $@ $^ $(CPPFLAGS) $(CFLAGS) $(LDFLAGS)
+
+t4ht : t4ht.c
+	$(CC) -o $@ $^ $(CPPFLAGS) $(CFLAGS) $(LDFLAGS)
+
+tex4ht.jar: $(XTPIPES_SRC)
+	$(JAVAC) -d class -source 1.5 $(XTPIPES_SRC)
+	$(JAR) -c -f tex4ht.jar -m java/manifest -C class .
+
+ht-scripts : scripts.sh
+	mkdir -p ../scripts
+	$(foreach SCRIPT, $(wildcard $(SCRIPTS)), $(edit-script))
+	touch $@
+
+tex4ht.env : $(TEX4HTFILE)
+	$(SED) \
+  -e "s;^i.*/ht-fonts/;i$(HTFDIR)/;" \
+  -e "s;^tpath/tex/;t$(TEXMFDIR)/;" \
+  -e "s;%%~/texmf-dist/;$(TEXMFDIR)/;" \
+  $< > $@
+
+t4ht.1 ht.1 httex.1 htlatex.1 httexi.1 mk4ht.1: tex4ht.1
+	ln -s $< $@
+
+tex4ht.1 : tex4ht.man
+	$(SED) \
+  -e "s;@TEXDIR@;$(TEXDIR);g" \
+  -e "s;@TEX4HTDIR@;$(TEX4HTDIR);g" \
+  -e "s;@TEXMFCNF@;$(TEXMFCNF);g" \
+  -e "s;@HTFDIR@;$(HTFDIR);g" \
+  -e "s;@SCRIPTSDIR@;$(SCRIPTSDIR);g" \
+  $< > $@
+
+install : install-arch install-indep
+
+install-arch : arch
+	install -d -m 755 $(BINDIR) $(TEX4HTDIR) $(MANDIR) $(SCRIPTSDIR)
+	install -s -m 755 $(PROGS) $(BINDIR)
+	install -m 755 ../scripts/ht $(BINDIR)/ht
+	install -m 755 ../scripts/* $(SCRIPTSDIR)
+	$(foreach SCRIPT,$(MAINSCRIPTS),install -m 755 ../scripts/$(SCRIPT) $(BINDIR);)
+	$(foreach MANFILE,$(MANS),cp -d $(MANFILE) $(MANDIR);)
+	install -m 644 tex4ht.env $(TEX4HTDIR)
+
+install-indep : indep
+	install -d -m 755 $(TEXDIR) $(HTFDIR) $(XTPDIR) $(SCRIPTSDIR)
+	install -m 644 $(TEXFILES) $(TEXDIR)
+	install -m 644 tex4ht.jar $(SCRIPTSDIR)
+	cp -r $(XTPFILES) $(XTPDIR)
+	cp -r $(HTFFILES) $(HTFDIR)
+
+clean :
+	rm -f $(PROGS) $(MANS) tex4ht.env ht-scripts ../scripts/* tex4ht.jar
+	rm -rf class
+
